package com.gui;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;


public class StreamGobbler extends Thread {
	
	private final InputStream istream;
	private final String logType;

	
	public StreamGobbler(final InputStream istream, final String logType) {
		this.istream = istream;
		this.logType = logType;
	}

	public void run() {
		try {
			InputStreamReader isr = new InputStreamReader(istream);
			BufferedReader bReader = new BufferedReader(isr);
			String line = null;
			while ((line = bReader.readLine()) != null) {
				System.out.println(logType + "> " + line);
			}
		} catch (IOException ioe) {
			ioe.printStackTrace();
		}
	}
}
